Skip to content

Эндпоинты API

У каждого внутреннего сервиса (службы) MWS есть эндпоинт, на который необходимо отправлять HTTP-запросы. Например:

  • для службы projects — эндпоинт projects/public/v4,
  • для службы vendors — эндпоинт vendors/api/v3.

Полный список эндпоинтов можно получить при помощи запроса GET https://gateway.cloud.mts.ru/apis/registry/v1/endpoints' --header 'Authorization: Bearer:

Ответ со списком эндпоинтов
json
{
    "services": [
        {
            "code": "invites",
            "title": "Invites management",
            "description": "Service for managing invites for projects and others entities",
            "endpoints": [
                {
                    "name": "public",
                    "version": "1",
                    "url": "invites/public/v1"
                },
                {
                    "name": "public",
                    "version": "2",
                    "url": "invites/public/v2"
                },
                {
                    "name": "debug",
                    "version": "1",
                    "url": "invites/debug/v1"
                },
                {
                    "name": "debug",
                    "version": "2",
                    "url": "invites/debug/v2"
                },
                {
                    "name": "local",
                    "version": "1",
                    "url": "invites/local/v1"
                },
                {
                    "name": "local",
                    "version": "2",
                    "url": "invites/local/v2"
                }
            ]
        },
        {
            "code": "lma",
            "title": "Logging, Monitoring, and Alerting service",
            "description": "Service that allows users to monitor the status of their cloud infrastructure inside the MWS Cloud Hub",
            "endpoints": [
                {
                    "name": "public",
                    "version": "1",
                    "url": "lma/public/v1"
                },
                {
                    "name": "api",
                    "version": "1",
                    "url": "lma/api/v1"
                },
                {
                    "name": "query-api",
                    "version": "1",
                    "url": "lma/query-api/v1"
                }
            ]
        },
        {
            "code": "notifier",
            "title": "Notification service",
            "description": "Service that allows to send templated notifications to recipients by specified scope",
            "endpoints": [
                {
                    "name": "public",
                    "version": "1",
                    "url": "notifier/public/v1"
                },
                {
                    "name": "internal",
                    "version": "1",
                    "url": "notifier/internal/v1"
                }
            ]
        },
        {
            "code": "organizations",
            "title": "Organizations management",
            "description": "Management of organizations (cloud & on-premise)",
            "endpoints": [
                {
                    "name": "public",
                    "version": "1",
                    "url": "organizations/public/v1"
                }
            ]
        },
        {
            "code": "projects",
            "title": "Projects ans services management",
            "description": "Service for managing projects and services",
            "endpoints": [
                {
                    "name": "public",
                    "version": "1",
                    "url": "projects/public/v1"
                },
                {
                    "name": "public",
                    "version": "4",
                    "url": "projects/public/v4"
                }
            ]
        },
        {
            "code": "regions",
            "title": "Regions and zones management",
            "description": "Service for managing regions and zones",
            "endpoints": [
                {
                    "name": "public",
                    "version": "1",
                    "url": "regions/public/v1"
                },
                {
                    "name": "internal",
                    "version": "1",
                    "url": "regions/internal/v1"
                },
                {
                    "name": "vendor",
                    "version": "1",
                    "url": "regions/vendor/v1"
                }
            ]
        },
        {
            "code": "regions1",
            "title": "Regions and zones management",
            "description": "Service for managing regions and zones",
            "endpoints": [
                {
                    "name": "public",
                    "version": "1",
                    "url": "regions1/public/v1"
                },
                {
                    "name": "internal",
                    "version": "1",
                    "url": "regions1/internal/v1"
                }
            ]
        },
        {
            "code": "vendors",
            "title": "Vendors",
            "description": "This vendor service is designed to manage vendors and their products",
            "endpoints": [
                {
                    "name": "api",
                    "version": "3",
                    "url": "vendors/api/v3"
                },
                {
                    "name": "dev",
                    "version": "3",
                    "url": "vendors/dev/v3"
                }
            ]
        }
    ],
    "pagination": null
}